import type { LoginUserBody, UserInfo } from '@core';
import { post } from './request';
import { currentUser } from '../store/user';

export async function login(raw: LoginUserBody) {
  const user = await post<UserInfo>('/user/login', raw);
  currentUser.set(user);
}
